Subject: Re: make install on ppc

From: Hollis Blanchard <[email-masked]>
Date: Tue, 28 Mar 2006 14:02:01 -0600

On Tuesday 28 March 2006 13:06, you wrote:
> Problem is for multi-platform binary builds, 'install' could mean different
> things for the different platforms, so to support install, there needs
> to be some way to tell the build system what 'install' means that also
> works with the muti-platform makefile logic.  The current powerpc makefiles
> don't have this, and it would take some non-trivial rework to add it.

That is for the distribution- or user-supplied installkernel script to deal 
with.

> There is also the question of what install means when cross building.

So don't run make install when cross-compiling (unless of course your 
installkernel script supports that).

I don't understand these objections. If someone's platform is so super-special 
that a script couldn't possibly know how to install a kernel, just don't run 
make install!

-Hollis